%define upstream_name    Dist-Zilla-Plugin-Test-NoTabs
%define upstream_version 0.15

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Release tests making sure hard tabs aren't used
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Section) >= 0.4.0
BuildRequires: perl(Dist::Zilla::File::InMemory)
BuildRequires: perl(Dist::Zilla::Role::FileFinderUser)
BuildRequires: perl(Dist::Zilla::Role::FileGatherer)
BuildRequires: perl(Dist::Zilla::Role::FileMunger)
BuildRequires: perl(Dist::Zilla::Role::PrereqSource)
BuildRequires: perl(Dist::Zilla::Role::TextTemplate)
BuildRequires: perl(Eval::Closure)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(FindBin)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build::Tiny) >= 0.30.0
BuildRequires: perl(Moose)
BuildRequires: perl(Package::DeprecationManager)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Sub::Exporter::ForMethods)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoTabs)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(if)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

Obsoletes:  perl-Dist-Zilla-Plugin-NoTabsTests <= 0.20.0
Provides:   perl-Dist-Zilla-Plugin-NoTabsTests

%description
This is an extension of the Dist::Zilla::Plugin::InlineFiles manpage,
providing the following files:

  xt/release/no-tabs.t

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc CONTRIBUTING Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.150.0-5.mga8
+ Revision: 1494406
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.150.0-4.mga7
+ Revision: 1267660
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.150.0-3.mga6
+ Revision: 1026604
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.150.0-2.mga6
+ Revision: 967892
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 0.150.0-1.mga6
+ Revision: 850541
- update to 0.15

* Wed Oct 15 2014 umeabot <umeabot> 0.90.0-3.mga5
+ Revision: 747696
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Aug 17 2014 sander85 <sander85> 0.90.0-1.mga5
+ Revision: 664785
- update to 0.09

* Mon May 19 2014 sander85 <sander85> 0.80.0-1.mga5
+ Revision: 623821
- update to 0.08

* Mon Feb 17 2014 jquelin <jquelin> 0.60.0-1.mga5
+ Revision: 593474
- update to 0.06
- package renamed upstream

* Sat Oct 19 2013 umeabot <umeabot> 0.20.0-2.mga4
+ Revision: 534875
- Mageia 4 Mass Rebuild

* Sun Sep 15 2013 sander85 <sander85> 0.20.0-1.mga4
+ Revision: 479895
- update to 0.02

* Sun Jan 13 2013 umeabot <umeabot> 0.10.0-2.mga3
+ Revision: 366301
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.10.0-1.mga1
+ Revision: 40507
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-NoTabsTests

